Bug Hunting Session
Bug 98554 - FILEOPEN XLSX Two different conditional formats with different colors in the same column are only working with one color
Summary: FILEOPEN XLSX Two different conditional formats with different colors in the ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 15:09 UTC by Stefan Grotz
Modified: 2016-10-25 19:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx import bug concerning conditional formating (45.30 KB, image/png)
2016-03-09 15:09 UTC, Stefan Grotz
Details
conditional formatting example xlsx file (9.64 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-03-11 13:25 UTC, Stefan Grotz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Grotz 2016-03-09 15:09:59 UTC
Created attachment 123435 [details]
xlsx import bug concerning conditional formating

I imported an xlsx with two diferent conditional fomatations in diferent colors but in the same collum. Both are working but only in one color.

I hope the screenshot makes it a little bit clearer. The upper conditional formatiation should be brown not blue.
Comment 1 Buovjaga 2016-03-09 19:25:31 UTC
Please give us an example file.
Is your operating system Windows? Which version?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Stefan Grotz 2016-03-11 13:25:39 UTC
Created attachment 123500 [details]
conditional formatting example xlsx file
Comment 3 Stefan Grotz 2016-03-11 13:29:33 UTC
I used the portable apps verison of calc 5.1.1.3 on a 32 bit windows 7 computer.
The xlsx document was made with Word 2010.
Comment 4 Stefan Grotz 2016-03-11 13:30:45 UTC
It was made with Excel 2010, not Word, of course.
Comment 5 Buovjaga 2016-03-13 12:29:40 UTC
Confirmed the upper is not brown.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha0+
Build ID: 235411c9d47ecba88e46d859ea93bcecefb0c46e
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on March 11th 2016
Comment 6 Markus Mohrhard 2016-04-09 05:50:20 UTC
So this is actually an Excel bug. Excel mismaps the theme colors for index 2 and 3. I already had a similar fix for index 0 and 1.
Comment 7 Commit Notification 2016-04-09 06:20:51 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5639909d59b158708305ce3b2e6afe3760032e84

work around Excel theme color bug, tdf#98554

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-04-09 06:20:55 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a86f37c5182d11d8f43a8b173d0d4dcea4be42c4

use the better color import method also for databars, tdf#98554

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-04-09 06:20:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c9337ecce749ab2769ed1986d05dbb37e2e3fab

add test case for tdf#98554

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-04-12 12:00:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8cb85d3605451739f09eb1733faefce26f894cef&h=libreoffice-5-1

work around Excel theme color bug, tdf#98554

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-04-12 12:00:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=883326c3e175a53a567a32806f77489c8f942d40&h=libreoffice-5-1

use the better color import method also for databars, tdf#98554

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Stefan Grotz 2016-06-19 20:51:41 UTC
Works like a charm, wonderful!

Thank you very much for your work :)